package com.crm.rely.backend.core.dto.sales;

import com.crm.rely.backend.core.dto.base.BaseInfoDto;
import com.crm.rely.backend.core.entity.base.BaseUpdateEntity;
import com.crm.rely.backend.core.pojo.table.SalesPerformanceConfigTable;
import lombok.Data;


@Data
public class SalesPerformanceConfigDto extends BaseInfoDto {

    private Integer salesType;

    private String salesTypeName;

    private Long salesId;

    private String salesName;

    private String salesNo;
    /**
     * 月度净入金
     */
    private Float pureDeposit;
    /**
     * 月度毛入金
     */
    private Float totalDeposit;
    /**
     * 月度团队净入金
     */
    private Float teamPureDeposit;
    /**
     * 月度团队毛入金
     */
    private Float teamTotalDeposit;
    /**
     * 月度团队新增代理数
     */
    private Integer freshAgentAmount;
    /**
     * 月度团队新增直客数
     */
    private Integer freshCustomAmount;

    public static SalesPerformanceConfigDto getInstance(){
        SalesPerformanceConfigDto dto = new SalesPerformanceConfigDto();
        dto.setPureDeposit(0F);
        dto.setTotalDeposit(0F);
        dto.setTeamPureDeposit(0F);
        dto.setTeamTotalDeposit(0F);
        dto.setFreshAgentAmount(0);
        dto.setFreshCustomAmount(0);
        return dto;
    }

}
